# Enroll customer in course by email Inscribe a un cliente en un curso usando su email. Si el cliente no existe, se crea con los datos provistos. Endpoint: POST /learning/courses/{course_id}/enroll Version: 1.0.0 Security: ApiKeyAuth ## Path parameters: - `course_id` (integer, required) ID del curso ## Request fields (application/json): - `customer` (object, required) - `customer.email` (string, required) Example: "customer7@example.com" - `customer.name` (string) Example: "DARRIO" - `customer.last_name` (string) Example: "Perez" - `enrollment_type` (string, required) Tipo de inscripción Enum: "free", "paid" ## Response 200 fields (application/json): - `status` (string, required) Example: "OK" ## Response 400 fields (application/json): - `status` (string, required) Example: "ERROR" - `message` (string, required) Example: "Descripción del error" - `errors` (array, required) - `errors.code` (integer, required) Example: 4000 - `errors.extra_data` (array) Datos extra para debug/validación (puede venir vacío). ## Response 401 fields (application/json): - `status` (string, required) Example: "ERROR" - `message` (string, required) Example: "Descripción del error" - `errors` (array, required) - `errors.code` (integer, required) Example: 4000 - `errors.extra_data` (array) Datos extra para debug/validación (puede venir vacío).